﻿using de.mhoapps.DropToZip.View;
using de.mhoapps.DropToZip.ViewModel;
using System.Windows;

namespace de.mhoapps.DropToZip
{
    /// <summary>
    /// Interaktionslogik für "App.xaml"
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);
            IoC.Setup();
            IoC.Kernel.Bind<IUIManager>().ToConstant(new UIManager());
            Current.MainWindow = new MainWindow();
            Current.MainWindow.Show();
        }

        protected override void OnExit(ExitEventArgs e)
        {
            base.OnExit(e);
            IoC.Settings.Save();
        }
    }
}
