﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace de.mhoapps.DropToZip.Model
{
    public class ApplicationSettings<T> where T : new()
    {
        private const string settingsFileName = "settings.json";
        public void SaveSettings(string file = settingsFileName)
        {
            JsonSerializer serializer = new JsonSerializer();
            serializer.DateTimeZoneHandling = DateTimeZoneHandling.Local;
            serializer.NullValueHandling = NullValueHandling.Ignore;
            using (StreamWriter sw = new StreamWriter(file))
            using (JsonWriter writer = new JsonTextWriter(sw))
            {
                serializer.Serialize(writer, this);
            }
        }
        public static void SaveSettings(T pSettings, string file = settingsFileName)
        {
            JsonSerializer serializer = new JsonSerializer();
            serializer.DateTimeZoneHandling = DateTimeZoneHandling.Local;
            serializer.NullValueHandling = NullValueHandling.Ignore;
            using (StreamWriter sw = new StreamWriter(file))
            using (JsonWriter writer = new JsonTextWriter(sw))
            {
                serializer.Serialize(writer, pSettings);
            }
        }
        public static T LoadSettings(string file = settingsFileName)
        {
            T t = new T();
            if (File.Exists(file))
            {
                JsonSerializer serializer = new JsonSerializer();
                serializer.DateTimeZoneHandling = DateTimeZoneHandling.Local;
                serializer.NullValueHandling = NullValueHandling.Ignore;
                using (StreamReader sr = new StreamReader(file))
                using (JsonReader reader = new JsonTextReader(sr))
                {
                    t = serializer.Deserialize<T>(reader);
                }
            }
            return t;
        }
    }
}
