﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace de.mhoapps.DropToZip.Model
{
    /// <summary>
    /// Basisklasse für alle Daten Modelle
    /// </summary>
    public abstract class ModelBase
    {
        public virtual string CreatedBy { get; set; } = Environment.UserName;
        public virtual DateTime CreationTimeStamp { get; set; } = DateTime.Now;
        public virtual string LastModifiedBy { get; set; } = Environment.UserName;
        public virtual DateTime LastModifiedTimeStamp { get; set; } = DateTime.Now;
        public virtual bool DeletedFlag { get; set; }

        public virtual bool IsValid => Validate() != null && Validate().Count == 0;

        public IList<ValidationResult> Validate()
        {
            var validationResults = new List<ValidationResult>();
            var validationContext = new ValidationContext(this);
            Validator.TryValidateObject(this, validationContext, validationResults, true);
            return validationResults;
        }
    }
}
