﻿using de.mhoapps.DropToZip.ViewModel;
using System;
using System.Diagnostics;
using System.Windows;
using System.Windows.Forms;
using System.Windows.Input;
using UserControl = System.Windows.Controls.UserControl;

namespace de.mhoapps.DropToZip.View
{
    /// <summary>
    /// Interaktionslogik für ucFolderEntry.xaml
    /// </summary>
    public partial class ucFolderEntry : UserControl
    {
        public static RoutedCommand ShowFolderBrowserCommand = new RoutedUICommand();
        public ucFolderEntry()
        {
            InitializeComponent();
        }

        //private void CommandBinding_Executed(object sender, ExecutedRoutedEventArgs e)
        //{
        //    using (FolderBrowserDialog fbd = new FolderBrowserDialog() { Description = "Bitte wählen Sie Ihren Standard Ordner für die Zip Container" })
        //    {
        //        if (fbd.ShowDialog() == DialogResult.OK)
        //        {
        //            FolderPath.Text = fbd.SelectedPath;

        //        }
        //    }
        //}

        //private void CommandBinding_CanExecute(object sender, CanExecuteRoutedEventArgs e)
        //{
        //    e.CanExecute = true;
        //}

        #region Bereich für die LabelWidth

        // Da die uCTextEntry und ucFolderEntry für viele Dinge genutzt werden kann, sieht es blöd aus, wenn die Steuerelemente unterschiedlich 
        // angeordnet sind, da die Bezeichnung der Steuerelemente anders ist (siehe Property Label in TextEntryViewModel zBsp.)
        // hiermit werden die Steuerelemente an die Größe des Label Steuerelements angepasst
        // siehe auch TextEntryWidthMatcherProperty im Ordner AttachedProperties

        #region Dependency Properties
        /// <summary>
        /// die Beschriftungsbreite des Steuerelements
        /// </ summary>
        public GridLength LabelWidth
        {
            get => (GridLength)GetValue(LabelWidthProperty);
            set => SetValue(LabelWidthProperty, value);
        }

        // Using a DependencyProperty as the backing store for LabelWidth.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty LabelWidthProperty =
            DependencyProperty.Register("LabelWidth", typeof(GridLength), typeof(ucFolderEntry), new PropertyMetadata(GridLength.Auto, LabelWidthChangedCallback));

        #endregion

        #region Dependency Callbacks

        /// <summary>
        /// wird aufgerufen, wenn sich die Etikettenbreite geändert hat
        /// </ summary>
        /// <param name = "d"> </ param>
        /// <param name = "e"> </ param>
        public static void LabelWidthChangedCallback(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            try
            {
                // versuche die Zeichenkette in eine gültige Gitterlänge umzuwandeln
                var gridLength =

                (d as ucFolderEntry).LabelColumnDefinition.Width = (GridLength)e.NewValue;
            }
#pragma warning disable CS0168
            catch (Exception ex)
#pragma warning restore CS0168
            {
                Debugger.Break();
                (d as ucFolderEntry).LabelColumnDefinition.Width = GridLength.Auto;
            }
        }

        #endregion

        #endregion


    }
}
