﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace de.mhoapps.DropToZip.View
{
    /// <summary>
    /// Interaktionslogik für ucTextEntry.xaml
    /// </summary>
    public partial class ucTextEntry : UserControl
    {
        public ucTextEntry()
        {
            InitializeComponent();
        }

        #region Dependency Properties
        /// <summary>
        /// the Label Width of the control
        /// </summary>
        public GridLength LabelWidth
        {
            get => (GridLength)GetValue(LabelWidthProperty);
            set => SetValue(LabelWidthProperty, value);
        }

        // Using a DependencyProperty as the backing store for LabelWidth.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty LabelWidthProperty =
            DependencyProperty.Register("LabelWidth", typeof(GridLength), typeof(ucTextEntry), new PropertyMetadata(GridLength.Auto, LabelWidthChangedCallback));

        #endregion

        #region Dependency Callbacks

        /// <summary>
        /// called when the label width has changed
        /// </summary>
        /// <param name="d"></param>
        /// <param name="e"></param>
        public static void LabelWidthChangedCallback(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            try
            {
                // try and convert the string to an valid gridlength
                var gridLength =

                (d as ucTextEntry).LabelColumnDefinition.Width = (GridLength)e.NewValue;
            }
#pragma warning disable CS0168
            catch (Exception ex)
#pragma warning restore CS0168
            {
                Debugger.Break();
                (d as ucTextEntry).LabelColumnDefinition.Width = GridLength.Auto;
            }
        }

        #endregion
    }
}
