﻿using de.mhoapps.DropToZip.ViewModel;
using System.Threading.Tasks;

namespace de.mhoapps.DropToZip.View
{
    /// <summary>
    /// die Anwendungsimplementierung von <see cref = "IUIManager" />
    /// </ summary>
    public class UIManager : IUIManager
    {
        

        /// <summary>
        /// Zeigt dem Benutzer ein einzelnes Meldungsfeld an
        /// </ summary>
        /// <param name = "viewModel"> Das dazugehörige ViewModel </ param>
        /// <returns> </ returns>
        public Task ShowMessage(DialogMessageBoxViewModel viewModel)
        {
            return new DialogMessageBox().ShowDialog(viewModel);
        }

        /// <summary>
        /// Zeigt dem Benutzer einen FolderBrowser Dialog an
        /// </summary>
        /// <param name="viewModel"> das dazugehörige ViewModel </param>
        /// <returns></returns>
        public Task ShowFolderBrowser(DialogFolderBrowserViewModel viewModel)
        {
            return new DialogFolderBrowser().ShowDialog(viewModel);
        }

        ///// <summary>
        ///// Zeigt dem Benutzer ein einzelnes Einstellungs Meldungsfeld an
        ///// </ summary>
        ///// <param name = "viewModel"> Das dazugehörige ViewModel </ param>
        ///// <returns> </ returns>
        //public Task ShowSettings(SettingsBoxDialogViewModel viewModel)
        //{
        //    return new SettingsDialogMessageBox().ShowDialog(viewModel);
        //}
    }
}
