﻿using de.mhoapps.DropToZip.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace de.mhoapps.DropToZip.View
{
    /// <summary>
    /// sucht ViewModels von der IoC zur Verwendung beim Binden in XAML-Dateien
    /// </ summary>
    public class ViewModelLocator
    {
        #region Public Properties

        /// <summary>
        /// Singleton-Instanz des Locators
        /// </ summary>
        public static ViewModelLocator Instance { get; private set; } = new ViewModelLocator();


        /// <summary>
        /// das ViewModel für die Anwendung selbst
        /// </summary>
        public static ApplicationViewModel ApplicationViewModel => IoC.Application;

        /// <summary>
        /// das ViewModel für die Einstellungen
        /// </summary>
        public static SettingsViewModel SettingsViewModel => IoC.Settings;


        #endregion
    }
}
