﻿using System.Diagnostics;
using System.Reflection;
using System.Windows.Input;

namespace de.mhoapps.DropToZip.ViewModel
{
    public class AboutViewModel : ViewModelBase
    {
        #region Private Properties

        private FileVersionInfo _appVersion => FileVersionInfo.GetVersionInfo(Assembly.GetEntryAssembly().Location);

        #endregion
        #region Constructor

        public AboutViewModel()
        {
            CloseCommand = new RelayCommand(c => IoC.Application.AboutMenuVisible = false);
        }

        #endregion

        #region Public Properties

        
        public string AppCopyright => _appVersion.LegalCopyright;
        public string AppVersion => _appVersion.ProductVersion;

        public string AppName => _appVersion.ProductName;

        #endregion

        #region Commands

        public ICommand CloseCommand { get; set; }

        #endregion

    }
}
