﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using de.mhoapps.DropToZip.Model;

namespace de.mhoapps.DropToZip.ViewModel
{
    /// <summary>
    /// das ViewModel für ein gedropptes File
    /// </summary>
    public class DropFileViewModel : ViewModelBase
    {
        #region Constructor
        /// <summary>
        /// Default constructor
        /// </summary>
        public DropFileViewModel()
        { }

        /// <summary>
        /// Constructor mit File Angabe
        /// </summary>
        /// <param name="filename"></param>
        public DropFileViewModel(string filename)
        {
            FileName = filename;
        }

        #endregion

        #region Public Properties

        /// <summary>
        /// der Name des Files mit gesamtem Pfad
        /// </summary>
        public string FileName { get; set; }

        /// <summary>
        /// der Anzeigename des Files
        /// </summary>
        public string DisplayFileName => FileName.GetFileFolderName();

        #endregion
    }
}
