﻿using de.mhoapps.DropToZip.Model;
using System;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;

namespace de.mhoapps.DropToZip.ViewModel
{
    public class DialogFolderBrowserViewModel : DialogViewModelBase
    {
        #region Constructor

        public DialogFolderBrowserViewModel()
        {
            var drives = DirectoryStructure.GetLogicalDrives();
            Items = new ObservableCollection<DirectoryItemViewModel>(
                drives.Select(drive => new DirectoryItemViewModel(drive.FullPath, DirectoryItemTypeEnum.Drive)));          
        }

       

        #endregion

        #region Public Properties
        /// <summary>
        /// die Nachricht zum Anzeigen
        /// </summary>
        public string Message { get; set; }

        /// <summary>
        /// der Text für den OK Button
        /// </summary>
        public string ButtonText { get; set; }

        public ObservableCollection<DirectoryItemViewModel> Items { get; set; }

        #endregion

    }
}
